/*
 * Copyright notice from original mutt:
 * Copyright (C) 2003 Thomas Roessler <roessler@does-not-exist.org>
 *
 * This file is part of mutt-ng, see http://www.muttng.org/.
 * It's licensed under the GNU General Public License,
 * please see the file GPL in the top level source directory.
 */

#ifndef _MUTT_IDNA_H
# define _MUTT_IDNA_H

#include <lib-mime/mime.h>

#define MI_MAY_BE_IRREVERSIBLE		(1 << 0)

int mutt_idna_to_local (const char *, char **, int);
int mutt_local_to_idna (const char *, char **);

int mutt_addrlist_to_idna (address_t *, char **);
int mutt_addrlist_to_local (address_t *);

void mutt_env_to_local (ENVELOPE *);
int mutt_env_to_idna (ENVELOPE *, const char **, char **);

const char *mutt_addr_for_display (address_t * a);

#endif
